// Simple Example for component dOPCGUI
// This example is based on Matrikon Simulation OPC Server (http://www.matrikon.com)
// But it's a trivial matter to change to another OPC Server.
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, dOPCGUI, dOPC;

type
  TForm1 = class(TForm)
    OPCServer: TdOPCServer;
    dOPCGUI: TdOPCGUI;
    Edit1: TEdit;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  G    : TdOPCGroup;
  Item : TdOPCItem;
begin
  OPCServer.Servername := 'Matrikon.OPC.Simulation';  // select your OPC Server
  G := OPCServer.OPCGroups.Add('testgroup');          // make a new group
  Item := G.OPCItems.AddItem('Random.String');        // add new Item to group
  dOPCGUI.AddItem(Item,Edit1,'text');                 // show value in Edit1
  Item := G.OPCItems.AddItem('Random.Int1');          // add new Item to group
  dOPCGUI.AddItem(Item,Edit1,'width');                // change width for Edit1
                                                      // with value of Int1
  OPCServer.Active := true;                           // let's go
end;

end.
